Skip to main content
GET
/
v1
/
agents
/
{agent_id}
/
proposals
List agent proposals
curl --request GET \
  --url https://api.usezombie.com/v1/agents/{agent_id}/proposals \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "proposal_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "trigger_reason": "<string>",
      "proposed_changes": "<string>",
      "config_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "approval_mode": "<string>",
      "status": "<string>",
      "auto_apply_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

Obtain a token via the CLI auth flow (POST /v1/auth/sessions) or GitHub OAuth

Path Parameters

agent_id
string<uuid>
required

Agent identifier

Response

Proposal list

data
object[]
required
request_id
string<uuid>
required